Skip to main content

Reconciliation

Manage inventory reconciliation processes. Requires PERFORM_RECONCILIATION permission.

Base URL: /api/v1/partner/reconciliations

Endpoints Overview

MethodEndpointDescription
GET/Get Reconciliation History
GET/{reconciliationId}Get Reconciliation History By ID
POST/Create Reconciliation Request

Get Reconciliation History

GET /api/v1/partner/reconciliations

Retrieve a paginated list of reconciliation history records. Optionally filter by requestNo. Requires the PERFORM_RECONCILIATION partner permission.

Required Permission

PERFORM_RECONCILIATION

Query Parameters

ParameterTypeRequiredDescription
requestNolongNorequest no
startintegerNoNumber of records to skip
limitintegerNoMaximum records to return

Response

Returns a paginated SearchResult of ReconciliationHistory objects.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
shopIdstringNoShop identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
requestNolongNoRequest No
employeeIdstringNoEmployee identifier
transNostringNoTrans No
metrcAdjustmentOptionstringNoMetrc Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST_METRC (default: ADJUST_BY_FINAL_AMOUNT)
complianceAdjustmentOptionstringNoCompliance Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST
complianceFinishedPackageTagsstring[]NoCompliance Finished Package Tags
reconciliationsReconciliationHistoryList[]NoReconciliations
batchQuantityInfoMapobjectNoBatch Quantity Info Map
batchReconcilebooleanNoBatch Reconcile (default: false)
inventoryIdstringNoInventory identifier
auditbooleanNoAudit (default: false)
notestringNoNote
blindbooleanNoBlind
forceScanbooleanNoForce Scan
fullInventorybooleanNoFull Inventory
complianceReasonstringNoCompliance Reason
valuestringNoValue
valuestringNoValue

Get Reconciliation History By ID

GET /api/v1/partner/reconciliations/{reconciliationId}

Retrieve a single reconciliation record by its ID. Requires the PERFORM_RECONCILIATION partner permission.

Required Permission

PERFORM_RECONCILIATION

Path Parameters

ParameterTypeDescription
reconciliationIdstringThe reconciliation i d

Response

Returns a ReconciliationHistory object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
shopIdstringNoShop identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
requestNolongNoRequest No
employeeIdstringNoEmployee identifier
transNostringNoTrans No
metrcAdjustmentOptionstringNoMetrc Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST_METRC (default: ADJUST_BY_FINAL_AMOUNT)
complianceAdjustmentOptionstringNoCompliance Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST
complianceFinishedPackageTagsstring[]NoCompliance Finished Package Tags
reconciliationsReconciliationHistoryList[]NoReconciliations
batchQuantityInfoMapobjectNoBatch Quantity Info Map
batchReconcilebooleanNoBatch Reconcile (default: false)
inventoryIdstringNoInventory identifier
auditbooleanNoAudit (default: false)
notestringNoNote
blindbooleanNoBlind
forceScanbooleanNoForce Scan
fullInventorybooleanNoFull Inventory
complianceReasonstringNoCompliance Reason
valuestringNoValue
valuestringNoValue

Create Reconciliation Request

POST /api/v1/partner/reconciliations

Create a new inventory reconciliation request. Requires the PERFORM_RECONCILIATION partner permission.

Required Permission

PERFORM_RECONCILIATION

Request Body

FieldTypeRequiredDescription
terminalIdstringNoTerminal identifier
inventoryIdstringNoInventory identifier
reportLossbooleanNoReport Loss (default: false)
notestringNoNote
productLossRequestsProductLossRequest[]NoProduct Loss Requests
batchReconcilebooleanNoBatch Reconcile (default: false)
auditbooleanNoAudit
blindbooleanNoBlind
forceScanbooleanNoForce Scan
fullInventorybooleanNoFull Inventory
complianceReasonstringNoCompliance Reason
employeeIdstringNoEmployee identifier

Response

Returns a ReconciliationHistory object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
shopIdstringNoShop identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
requestNolongNoRequest No
employeeIdstringNoEmployee identifier
transNostringNoTrans No
metrcAdjustmentOptionstringNoMetrc Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST_METRC (default: ADJUST_BY_FINAL_AMOUNT)
complianceAdjustmentOptionstringNoCompliance Adjustment Option. One of: ADJUST_BY_DIFFERENCE, ADJUST_BY_FINAL_AMOUNT, DO_NOT_ADJUST
complianceFinishedPackageTagsstring[]NoCompliance Finished Package Tags
reconciliationsReconciliationHistoryList[]NoReconciliations
batchQuantityInfoMapobjectNoBatch Quantity Info Map
batchReconcilebooleanNoBatch Reconcile (default: false)
inventoryIdstringNoInventory identifier
auditbooleanNoAudit (default: false)
notestringNoNote
blindbooleanNoBlind
forceScanbooleanNoForce Scan
fullInventorybooleanNoFull Inventory
complianceReasonstringNoCompliance Reason
valuestringNoValue
valuestringNoValue